Bug 3210 - It would be great to add flags to alllow file date as a filter on what is syncd
It would be great to add flags to alllow file date as a filter on what is syncd
Status: RESOLVED DUPLICATE of bug 2423
Product: rsync
Classification: Unclassified
Component: core
2.6.9
All All
: P3 enhancement
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 09:50 UTC by password
Modified: 2007-08-23 19:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description password 2005-10-25 09:50:51 UTC
Please forgive/enlighten me id this is achievable already I didn't see it as
apparent looking at the usage.

Purpose:
To allow dest file system to benefit from newer files on a src on a weekly basis
for example, without re-syncing all the junk deleted on the target since the
last sync.

Eg.

--since 09112001
--before 09112001

Probably some system date format -/+ int would work as the date unit,
or possibly with something even smarter to allow -7 for 7 days ago,etc etc etc
Comment 1 Matt McCutchen 2005-10-25 13:27:07 UTC
Rsync doesn't seem to have options to filter by date.  The options might be a
nice addition, but in the meantime, you can set up just about any kind of filter
you want by piping `find' output to rsync with `--files-from=-'.
Comment 2 Wayne Davison 2006-10-15 13:57:40 UTC
I don't tend to favor a bunch of separate options for this.  It seems like there should be one option that would let some other filter language tell rsync if the file was accepted or not (and deprecate the min/max size options).  Perhaps tie it into the --filter language as a single new rule type.  However, there are security issues for daemons, so we need to design this carefully.  Suggestions welcomed.
Comment 3 Matt McCutchen 2007-01-19 19:02:43 UTC
(In reply to comment #2)
> I don't tend to favor a bunch of separate options for this.  It seems like
> there should be one option that would let some other filter language tell rsync
> if the file was accepted or not (and deprecate the min/max size options). 
> Perhaps tie it into the --filter language as a single new rule type.  However,
> there are security issues for daemons, so we need to design this carefully. 
> Suggestions welcomed.

I am thinking along the same lines as Wayne and made suggestions on bug 2423.
Comment 4 Matt McCutchen 2007-08-23 17:18:55 UTC
This bug is essentially the same as bug 2423.  Wayne, I suggest making this bug a duplicate of bug 2423 or vice versa.
Comment 5 Wayne Davison 2007-08-23 19:19:03 UTC

*** This bug has been marked as a duplicate of 2423 ***